package com.keypalette.theme.other

import android.content.Context
import com.keypalette.theme.KeyApp

object SpSkins {

    val SP_NAME = "keyboard_skin"
    val SKIN_PATH = "skin_path"
    val spSkin = KeyApp.Companion.keyAppInstance.getSharedPreferences(SP_NAME,Context.MODE_PRIVATE)

    fun  updateSkinPath(skinPath:String){
        spSkin.edit().putString(SKIN_PATH,skinPath).apply()
    }

    fun  getSkinPath( ):String?{
       return spSkin.getString(SKIN_PATH,null)
    }
}